Package org.springframework.core.type.classreading

# Interface MetadataReader

public interface MetadataReader
Simple facade for accessing class metadata, as read by an ASM `ClassReader`.

Since:
  2.5
Author:
  Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`AnnotationMetadata`
`getAnnotationMetadata()`
Read full annotation metadata for the underlying class, including metadata for annotated methods.
`ClassMetadata`
`getClassMetadata()`
Read basic class metadata for the underlying class.
`Resource`
`getResource()`
Return the resource reference for the class file.

## Method Details

### getResource

Resource getResource()
Return the resource reference for the class file.

### getClassMetadata

ClassMetadata getClassMetadata()
Read basic class metadata for the underlying class.

### getAnnotationMetadata

AnnotationMetadata getAnnotationMetadata()
Read full annotation metadata for the underlying class, including metadata for annotated methods.